[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TWriteBufStream.Write

Write data to the stream

## Declaration

Source position: bufstream.pp line 73

`public function TWriteBufStream.Write(`
`const ABuffer;`
`ACount: LongInt`
`):Integer; override;`

## Arguments

`ABuffer` |  | Buffer containing data to write
`ACount` |  | Number of bytes to write to stream

## Function result

Number of bytes written

## Description

Write writes at most ACount bytes from ABuffer to the stream. The data is written to the internal buffer first. As soon as the internal buffer is full, it is flushed to the destination stream, and the internal buffer is filled again. This process continues till all data is written (or an error occurs).

## Errors

An exception may occur if the destination stream has problems writing.

## See also

TWriteBufStream.Seek |  | Set stream position.